Product Hunt categories
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-producthunt-categories-list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.neuralverge.ai/functions/v1/run-producthunt-categories-list"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.neuralverge.ai/functions/v1/run-producthunt-categories-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "producthunt_categories_list",
"max_items": 1000,
"start_page": 1,
"partial": false,
"human": "# Product Hunt — categories\n\n- **Query:** all\n- **Results:** 248\n- **Proxy traffic:** 537.9 KB",
"machine": {
"total_items": 248,
"first_item": {
"id": "productivity",
"name": "Productivity",
"url": "https://www.producthunt.com/categories/productivity",
"alias": "productivity",
"category_id": "34",
"description": null,
"parent": null
},
"items": [
{
"id": "productivity",
"name": "Productivity",
"url": "https://www.producthunt.com/categories/productivity",
"alias": "productivity",
"category_id": "34",
"description": null,
"parent": null
},
{
"id": "ai-meeting-notetakers",
"name": "AI notetakers",
"url": "https://www.producthunt.com/categories/ai-meeting-notetakers",
"alias": "ai-meeting-notetakers",
"category_id": "1288",
"description": "AI notetakers capture meetings, calls, and voice memos, then transcribe, summarize, and extract tasks for teams, sellers, and learners across tools and languages.",
"parent": {
"name": "Productivity",
"slug": "productivity",
"url": "https://www.producthunt.com/categories/productivity"
}
}
],
"total_found": null,
"page_count": 1,
"blocked": false,
"proxy_traffic_bytes": 550852
},
"total_points": 5
}Startup & Funding Data
Product Hunt categories
The Product Hunt categories with their sub-categories: name, slug, parent and description. Flat 5 points per successful run.
POST
/
functions
/
v1
/
run-producthunt-categories-list
Product Hunt categories
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The body is of type object.
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.